public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2016-06-03 15:58 Anthony G. Basile
  0 siblings, 0 replies; 26+ messages in thread
From: Anthony G. Basile @ 2016-06-03 15:58 UTC (permalink / raw
  To: gentoo-commits

commit:     511ae892e46b82189e199a76f0f505ffd6e9f73d
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  3 14:51:03 2016 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Fri Jun  3 14:51:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=511ae892

app-crypt/tpm-tools: add libressl support

Package-Manager: portage-2.2.28

 app-crypt/tpm-tools/tpm-tools-1.3.8-r1.ebuild | 53 +++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.8-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.8-r1.ebuild
new file mode 100644
index 0000000..96502e1
--- /dev/null
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.8-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
+HOMEPAGE="http://trousers.sourceforge.net"
+SRC_URI="mirror://sourceforge/trousers/${P}.tar.gz"
+
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
+IUSE="libressl nls pkcs11 debug"
+
+COMMON_DEPEND="
+	>=app-crypt/trousers-0.3.0
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	pkcs11? ( dev-libs/opencryptoki )
+	"
+RDEPEND="${COMMON_DEPEND}
+	nls? ( virtual/libintl )"
+DEPEND="${COMMON_DEPEND}
+	nls? ( sys-devel/gettext )"
+
+src_prepare() {
+	sed -i -r \
+		-e '/CFLAGS/s/ -(Werror|m64)//' \
+		configure.in || die
+	epatch "${FILESDIR}/${P}-gold.patch"
+	epatch "${FILESDIR}/${P}-build.patch"
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+	# don't use --enable-pkcs11-support, configure is a mess.
+	use pkcs11 || myconf+=" --disable-pkcs11-support"
+
+	append-cppflags $(usex debug -DDEBUG -DNDEBUG)
+
+	econf \
+		$(use_enable nls) \
+		${myconf}
+}
+
+src_install() {
+	default
+	rm -f "${ED}"/usr/lib*/libtpm_unseal.la
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2017-03-04 13:38 Agostino Sarubbo
  0 siblings, 0 replies; 26+ messages in thread
From: Agostino Sarubbo @ 2017-03-04 13:38 UTC (permalink / raw
  To: gentoo-commits

commit:     be0bebefc774fcb2d9551e521c192e6bce0c6ba1
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  4 13:35:07 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sat Mar  4 13:38:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be0bebef

app-crypt/tpm-tools: amd64 stable wrt bug #611492

Package-Manager: portage-2.3.3
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
index 7cec3550bbe..ca9e5c1bc2e 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
 IUSE="libressl nls pkcs11 debug"
 
 COMMON_DEPEND="


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2017-03-04 13:46 Agostino Sarubbo
  0 siblings, 0 replies; 26+ messages in thread
From: Agostino Sarubbo @ 2017-03-04 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     12c212ca51aa6fab60f9ebed47c1525dc463fe5c
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  4 13:44:09 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sat Mar  4 13:44:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12c212ca

app-crypt/tpm-tools: x86 stable wrt bug #611492

Package-Manager: portage-2.3.3
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
index ca9e5c1bc2e..30f0c7ee052 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
 COMMON_DEPEND="


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2017-03-15 14:35 Michael Weber
  0 siblings, 0 replies; 26+ messages in thread
From: Michael Weber @ 2017-03-15 14:35 UTC (permalink / raw
  To: gentoo-commits

commit:     30c0949e9ce19b5edd71bb6937d41e9636238de3
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 15 14:29:55 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Wed Mar 15 14:34:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30c0949e

app-crypt/tpm-tools: arm64 stable (bug 611492).

Package-Manager: Portage-2.3.4, Repoman-2.3.2
RepoMan-Options: --include-arches="arm64"

 app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
index 30f0c7ee052..d19eff06625 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
+KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
 COMMON_DEPEND="


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2017-03-25 18:11 Alon Bar-Lev
  0 siblings, 0 replies; 26+ messages in thread
From: Alon Bar-Lev @ 2017-03-25 18:11 UTC (permalink / raw
  To: gentoo-commits

commit:     faa75bc7dd0946c42d65720538d45911febba612
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 25 18:00:19 2017 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Sat Mar 25 18:11:33 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=faa75bc7

app-crypt/tpm-tools: use ltprune

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
index d19eff06625..ff712c720ce 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=6
 
-inherit autotools eutils flag-o-matic
+inherit autotools flag-o-matic ltprune
 
 DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
 HOMEPAGE="http://trousers.sourceforge.net"


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2018-04-23 11:02 Alon Bar-Lev
  0 siblings, 0 replies; 26+ messages in thread
From: Alon Bar-Lev @ 2018-04-23 11:02 UTC (permalink / raw
  To: gentoo-commits

commit:     7c832997cc88ac284da61b772ca6c8dc98ad8765
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 23 11:02:01 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Mon Apr 23 11:02:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c832997

app-crypt/tpm-tools: version bump

Thanks-To: Edward Kigwana
Closes: https://bugs.gentoo.org/649702
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-crypt/tpm-tools/Manifest                 |  1 +
 app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild | 51 ++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-crypt/tpm-tools/Manifest b/app-crypt/tpm-tools/Manifest
index 72623e1db74..53518912814 100644
--- a/app-crypt/tpm-tools/Manifest
+++ b/app-crypt/tpm-tools/Manifest
@@ -1 +1,2 @@
+DIST tpm-tools-1.3.9.1.tar.gz 482859 BLAKE2B ee915679e23bead04672bf719ce59bb6f20b550be39855b5304caeff554bf54d3cfe9104d464af7762388995e51d2bed0f9bedad83e42146cb7457382d09f4b2 SHA512 63a9c0e761cd890cc0a218de79a9c0169e151aba7824c19bf6b7ec894cf41c4950de1f63bd849aa93a4bdff36cf0fe557bc17113912b6d77f57f2bf1190b6a08
 DIST tpm-tools-1.3.9.tar.gz 484023 BLAKE2B 5f9809a8dd4c565c647ceb394e6a6086cd42d256feb39599331b979f73150f60881ba9f25a3b0171173d66da8718f1475c6945b243b86c2261c4e8c489802803 SHA512 460e56031aa65ede6b7aebf0c594d4093d870fb46f7c453c429e53cca442d4c7797ac29b519bca28d42133bc6d7701cdf938adbdf11f8be841157d4f4a3e17ca

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
new file mode 100644
index 00000000000..4b922742df4
--- /dev/null
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic ltprune
+
+DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
+HOMEPAGE="http://trousers.sourceforge.net"
+SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
+
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
+IUSE="libressl nls pkcs11 debug"
+
+COMMON_DEPEND="
+	>=app-crypt/trousers-0.3.0
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	pkcs11? ( dev-libs/opencryptoki )
+	"
+RDEPEND="${COMMON_DEPEND}
+	nls? ( virtual/libintl )"
+DEPEND="${COMMON_DEPEND}
+	nls? ( sys-devel/gettext )"
+
+S="${WORKDIR}"
+
+src_prepare() {
+	default
+
+	sed -i -r \
+		-e '/CFLAGS/s/ -m64//' \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	append-cppflags $(usex debug -DDEBUG -DNDEBUG)
+
+	econf \
+		$(use_enable nls) \
+		$(use pkcs11 || echo --disable-pkcs11-support)
+}
+
+src_install() {
+	default
+	prune_libtool_files
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2018-08-16  0:39 Thomas Deutschmann
  0 siblings, 0 replies; 26+ messages in thread
From: Thomas Deutschmann @ 2018-08-16  0:39 UTC (permalink / raw
  To: gentoo-commits

commit:     2f3125c3735871e70ff3a7df1332770a1dec56bd
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 16 00:17:14 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Aug 16 00:17:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f3125c3

app-crypt/tpm-tools: x86 stable (bug #663600)

Package-Manager: Portage-2.3.46, Repoman-2.3.10

 app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
index 4b922742df4..985d505f152 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
 COMMON_DEPEND="


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2018-08-17  0:20 Mikle Kolyada
  0 siblings, 0 replies; 26+ messages in thread
From: Mikle Kolyada @ 2018-08-17  0:20 UTC (permalink / raw
  To: gentoo-commits

commit:     85bc8738395d0e4ff3c9ff5e756a84e2b12afecb
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 17 00:20:01 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Fri Aug 17 00:20:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85bc8738

app-crypt/tpm-tools: amd64 stable wrt bug #663600

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
index 985d505f152..6b5020fa6e6 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
+KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
 COMMON_DEPEND="


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2018-08-22 19:20 Mart Raudsepp
  0 siblings, 0 replies; 26+ messages in thread
From: Mart Raudsepp @ 2018-08-22 19:20 UTC (permalink / raw
  To: gentoo-commits

commit:     f706724f2322f0d2091006275fa0a6d7727cdef1
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 22 18:14:02 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Aug 22 19:19:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f706724f

app-crypt/tpm-tools-1.3.9.1: arm64 stable (bug #663600)

Package-Manager: Portage-2.3.48, Repoman-2.3.10

 app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
index 6b5020fa6e6..eac3a3944ab 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
+KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
 COMMON_DEPEND="


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2018-08-25  3:58 Alon Bar-Lev
  0 siblings, 0 replies; 26+ messages in thread
From: Alon Bar-Lev @ 2018-08-25  3:58 UTC (permalink / raw
  To: gentoo-commits

commit:     52bfba3f97019b516ee8c0fd009126d37e21da96
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 24 18:36:14 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Sat Aug 25 03:58:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52bfba3f

app-crypt/tpm-tools: cleanup old

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-crypt/tpm-tools/Manifest               |  1 -
 app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild | 55 ------------------------------
 2 files changed, 56 deletions(-)

diff --git a/app-crypt/tpm-tools/Manifest b/app-crypt/tpm-tools/Manifest
index 53518912814..4d121ec3312 100644
--- a/app-crypt/tpm-tools/Manifest
+++ b/app-crypt/tpm-tools/Manifest
@@ -1,2 +1 @@
 DIST tpm-tools-1.3.9.1.tar.gz 482859 BLAKE2B ee915679e23bead04672bf719ce59bb6f20b550be39855b5304caeff554bf54d3cfe9104d464af7762388995e51d2bed0f9bedad83e42146cb7457382d09f4b2 SHA512 63a9c0e761cd890cc0a218de79a9c0169e151aba7824c19bf6b7ec894cf41c4950de1f63bd849aa93a4bdff36cf0fe557bc17113912b6d77f57f2bf1190b6a08
-DIST tpm-tools-1.3.9.tar.gz 484023 BLAKE2B 5f9809a8dd4c565c647ceb394e6a6086cd42d256feb39599331b979f73150f60881ba9f25a3b0171173d66da8718f1475c6945b243b86c2261c4e8c489802803 SHA512 460e56031aa65ede6b7aebf0c594d4093d870fb46f7c453c429e53cca442d4c7797ac29b519bca28d42133bc6d7701cdf938adbdf11f8be841157d4f4a3e17ca

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
deleted file mode 100644
index ff712c720ce..00000000000
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools flag-o-matic ltprune
-
-DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
-HOMEPAGE="http://trousers.sourceforge.net"
-SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
-
-LICENSE="CPL-1.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
-IUSE="libressl nls pkcs11 debug"
-
-COMMON_DEPEND="
-	>=app-crypt/trousers-0.3.0
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
-	pkcs11? ( dev-libs/opencryptoki )
-	"
-RDEPEND="${COMMON_DEPEND}
-	nls? ( virtual/libintl )"
-DEPEND="${COMMON_DEPEND}
-	nls? ( sys-devel/gettext )"
-
-PATCHES=(
-	"${FILESDIR}/${P}-gold.patch"
-)
-
-S="${WORKDIR}"
-
-src_prepare() {
-	default
-
-	sed -i -r \
-		-e '/CFLAGS/s/ -m64//' \
-		configure.ac || die
-
-	eautoreconf
-}
-
-src_configure() {
-	append-cppflags $(usex debug -DDEBUG -DNDEBUG)
-
-	econf \
-		$(use_enable nls) \
-		$(use pkcs11 || echo --disable-pkcs11-support)
-}
-
-src_install() {
-	default
-	prune_libtool_files
-}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2018-09-27 23:55 Alon Bar-Lev
  0 siblings, 0 replies; 26+ messages in thread
From: Alon Bar-Lev @ 2018-09-27 23:55 UTC (permalink / raw
  To: gentoo-commits

commit:     45cd1dd9d55b18ddfe2109e86b9fe382900eed06
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 23 13:47:33 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Thu Sep 27 23:51:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45cd1dd9

app-crypt/tpm-tools: eapi bump

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
index eac3a3944ab..3be16cf93ed 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit autotools flag-o-matic ltprune
+inherit autotools flag-o-matic
 
 DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
 HOMEPAGE="http://trousers.sourceforge.net"
@@ -14,16 +14,12 @@ SLOT="0"
 KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
-COMMON_DEPEND="
-	>=app-crypt/trousers-0.3.0
+DEPEND=">=app-crypt/trousers-0.3.0
 	!libressl? ( dev-libs/openssl:0= )
 	libressl? ( dev-libs/libressl:0= )
-	pkcs11? ( dev-libs/opencryptoki )
-	"
-RDEPEND="${COMMON_DEPEND}
-	nls? ( virtual/libintl )"
-DEPEND="${COMMON_DEPEND}
-	nls? ( sys-devel/gettext )"
+	pkcs11? ( dev-libs/opencryptoki )"
+RDEPEND="${DEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
 
 S="${WORKDIR}"
 
@@ -47,5 +43,5 @@ src_configure() {
 
 src_install() {
 	default
-	prune_libtool_files
+	find "${D}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2019-05-03 16:08 Aaron Bauman
  0 siblings, 0 replies; 26+ messages in thread
From: Aaron Bauman @ 2019-05-03 16:08 UTC (permalink / raw
  To: gentoo-commits

commit:     e09442d332bcd90fe80ae849aa7b055e3123d1aa
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Fri May  3 15:38:39 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Fri May  3 16:08:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e09442d3

app-crypt/tpm-tools: arm64 stable (bug #684612)

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
index e59af9e38d9..17a81045fb1 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~sh ~x86"
+KEYWORDS="~amd64 ~arm arm64 ~m68k ~s390 ~sh ~x86"
 IUSE="libressl nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2019-05-11 11:14 Mikle Kolyada
  0 siblings, 0 replies; 26+ messages in thread
From: Mikle Kolyada @ 2019-05-11 11:14 UTC (permalink / raw
  To: gentoo-commits

commit:     bc3103259e20f6194049acdd3260de097bf0c543
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat May 11 11:13:32 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat May 11 11:13:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc310325

app-crypt/tpm-tools: amd64 stable wrt bug #684612

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11
RepoMan-Options: --include-arches="amd64"

 app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
index 17a81045fb1..fb185e8819c 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm arm64 ~m68k ~s390 ~sh ~x86"
+KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh ~x86"
 IUSE="libressl nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2019-05-12 20:56 Thomas Deutschmann
  0 siblings, 0 replies; 26+ messages in thread
From: Thomas Deutschmann @ 2019-05-12 20:56 UTC (permalink / raw
  To: gentoo-commits

commit:     b90677d413ed58e940b47026d45c3b527a61bff9
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun May 12 20:35:30 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun May 12 20:56:23 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b90677d4

app-crypt/tpm-tools: x86 stable (bug #684612)

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
index fb185e8819c..f92377d5791 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh ~x86"
+KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
 IUSE="libressl nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2019-05-13  4:17 Alon Bar-Lev
  0 siblings, 0 replies; 26+ messages in thread
From: Alon Bar-Lev @ 2019-05-13  4:17 UTC (permalink / raw
  To: gentoo-commits

commit:     f2e386cff1df54fe2d0ecdea5f4a0a3c1f05e779
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Mon May 13 04:16:48 2019 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Mon May 13 04:16:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2e386cf

app-crypt/tpm-tools: cleanup old

Signed-off-by: Alon Bar-Lev <alonbl <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild | 47 ----------------------------
 1 file changed, 47 deletions(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
deleted file mode 100644
index 3be16cf93ed..00000000000
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools flag-o-matic
-
-DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
-HOMEPAGE="http://trousers.sourceforge.net"
-SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
-
-LICENSE="CPL-1.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
-IUSE="libressl nls pkcs11 debug"
-
-DEPEND=">=app-crypt/trousers-0.3.0
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
-	pkcs11? ( dev-libs/opencryptoki )"
-RDEPEND="${DEPEND}"
-BDEPEND="nls? ( sys-devel/gettext )"
-
-S="${WORKDIR}"
-
-src_prepare() {
-	default
-
-	sed -i -r \
-		-e '/CFLAGS/s/ -m64//' \
-		configure.ac || die
-
-	eautoreconf
-}
-
-src_configure() {
-	append-cppflags $(usex debug -DDEBUG -DNDEBUG)
-
-	econf \
-		$(use_enable nls) \
-		$(use pkcs11 || echo --disable-pkcs11-support)
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2020-02-26 16:17 Joonas Niilola
  0 siblings, 0 replies; 26+ messages in thread
From: Joonas Niilola @ 2020-02-26 16:17 UTC (permalink / raw
  To: gentoo-commits

commit:     ff93c1308b643c9b8348733cbc93c11a80ba25f4
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Thu Feb 20 02:06:07 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 16:17:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff93c130

app-crypt/tpm-tools: Add salah.coronya <AT> gmail.com as proxy maintainer

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/14310
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm-tools/metadata.xml | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

diff --git a/app-crypt/tpm-tools/metadata.xml b/app-crypt/tpm-tools/metadata.xml
index c53b4aaedf5..d0084064703 100644
--- a/app-crypt/tpm-tools/metadata.xml
+++ b/app-crypt/tpm-tools/metadata.xml
@@ -1,14 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-  <!-- maintainer-needed -->
-  <use>
-    <flag name="pkcs11">
-      Build Token data management utilities based on OpenCryptoki's
-      (<pkg>dev-libs/opencryptoki</pkg>) PKCS#11 implementation.
-    </flag>
-  </use>
-  <upstream>
-    <remote-id type="sourceforge">trousers</remote-id>
-  </upstream>
+	<maintainer type="person">
+		<email>salah.coronya@gmail.com</email>
+		<name>Salah Coronya</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<use>
+		<flag name="pkcs11">
+		Build Token data management utilities based on OpenCryptoki's
+		(<pkg>dev-libs/opencryptoki</pkg>) PKCS#11 implementation.
+		</flag>
+	</use>
+	<upstream>
+		<remote-id type="sourceforge">trousers</remote-id>
+	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2020-11-09 20:30 Patrice Clement
  0 siblings, 0 replies; 26+ messages in thread
From: Patrice Clement @ 2020-11-09 20:30 UTC (permalink / raw
  To: gentoo-commits

commit:     7cd4e2bab39441a4d902c916549c4d422962fa89
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sun Nov  8 02:18:19 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Nov  9 20:30:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cd4e2ba

app-crypt/tpm-tools: version bump to 1.3.9.2.

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18179
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-crypt/tpm-tools/Manifest                 |  1 +
 app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild | 53 ++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-crypt/tpm-tools/Manifest b/app-crypt/tpm-tools/Manifest
index 4d121ec3312..81566e78b41 100644
--- a/app-crypt/tpm-tools/Manifest
+++ b/app-crypt/tpm-tools/Manifest
@@ -1 +1,2 @@
 DIST tpm-tools-1.3.9.1.tar.gz 482859 BLAKE2B ee915679e23bead04672bf719ce59bb6f20b550be39855b5304caeff554bf54d3cfe9104d464af7762388995e51d2bed0f9bedad83e42146cb7457382d09f4b2 SHA512 63a9c0e761cd890cc0a218de79a9c0169e151aba7824c19bf6b7ec894cf41c4950de1f63bd849aa93a4bdff36cf0fe557bc17113912b6d77f57f2bf1190b6a08
+DIST tpm-tools-1.3.9.2.tar.gz 431930 BLAKE2B bbea3848765d9907c6faa1b5f4a60002e94243040985ce503f392bc8d7392bea41b54317b15fd227b5d73d589cf2c330729532448751d4375484375725310dfa SHA512 b684716c71702140591d89eb03d3724ed5b448e7ba2881bc44de9d44ffc23a9f7dfcf4351eec24e5438cc883f49a7dafee82bb19f90800610cf764ce74e60ccb

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
new file mode 100644
index 00000000000..27bfb41b11f
--- /dev/null
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
+HOMEPAGE="http://trousers.sourceforge.net"
+SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
+
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
+IUSE="libressl nls pkcs11 debug"
+
+DEPEND=">=app-crypt/trousers-0.3.0
+	!libressl? ( dev-libs/openssl:0= )
+	libressl? ( dev-libs/libressl:0= )
+	pkcs11? ( dev-libs/opencryptoki )"
+RDEPEND="${DEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+src_prepare() {
+	default
+
+# upstream didn't generate the tarball correctly so we must bootstrap
+# ouselves
+	mkdir -p po || die
+	mkdir -p m4 || die
+	cp -R po_/* po/ || die
+	touch po/Makefile.in.in || die
+	touch m4/Makefile.am || die
+
+	sed -i -r \
+		-e '/CFLAGS/s/ -m64//' \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	append-cppflags $(usex debug -DDEBUG -DNDEBUG)
+
+	econf \
+		$(use_enable nls) \
+		$(use pkcs11 || echo --disable-pkcs11-support)
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2021-04-25  8:00 Michał Górny
  0 siblings, 0 replies; 26+ messages in thread
From: Michał Górny @ 2021-04-25  8:00 UTC (permalink / raw
  To: gentoo-commits

commit:     00df719f7c200344422f9f76e0fa8482e57a05e4
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sun Apr 25 07:10:02 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 25 07:59:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00df719f

app-crypt/tpm-tools: Update maintainer name

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-crypt/tpm-tools/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/metadata.xml b/app-crypt/tpm-tools/metadata.xml
index 9bad4aa3216..39a3a46e37a 100644
--- a/app-crypt/tpm-tools/metadata.xml
+++ b/app-crypt/tpm-tools/metadata.xml
@@ -3,7 +3,7 @@
 <pkgmetadata>
 	<maintainer type="person" proxied="yes">
 		<email>salah.coronya@gmail.com</email>
-		<name>Salah Coronya</name>
+		<name>Christopher Byrne</name>
 	</maintainer>
 	<maintainer type="project" proxied="proxy">
 		<email>proxy-maint@gentoo.org</email>


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2021-05-02 16:40 Mikle Kolyada
  0 siblings, 0 replies; 26+ messages in thread
From: Mikle Kolyada @ 2021-05-02 16:40 UTC (permalink / raw
  To: gentoo-commits

commit:     35ea68e94a1be621219267dfce62812f5359bbf7
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun May  2 16:33:27 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun May  2 16:40:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35ea68e9

app-crypt/tpm-tools: remove libressl support

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild | 7 +++----
 app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild    | 7 +++----
 2 files changed, 6 insertions(+), 8 deletions(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
index 90690f25648..2f87a05d545 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -12,11 +12,10 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 LICENSE="CPL-1.0"
 SLOT="0"
 KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 x86"
-IUSE="libressl nls pkcs11 debug"
+IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
+	dev-libs/openssl:0=
 	pkcs11? ( dev-libs/opencryptoki )"
 RDEPEND="${DEPEND}"
 BDEPEND="nls? ( sys-devel/gettext )"

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
index 27bfb41b11f..5c3f6dd63c6 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -12,11 +12,10 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 LICENSE="CPL-1.0"
 SLOT="0"
 KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
-IUSE="libressl nls pkcs11 debug"
+IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0
-	!libressl? ( dev-libs/openssl:0= )
-	libressl? ( dev-libs/libressl:0= )
+	dev-libs/openssl:0=
 	pkcs11? ( dev-libs/opencryptoki )"
 RDEPEND="${DEPEND}"
 BDEPEND="nls? ( sys-devel/gettext )"


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2021-12-06 11:27 Agostino Sarubbo
  0 siblings, 0 replies; 26+ messages in thread
From: Agostino Sarubbo @ 2021-12-06 11:27 UTC (permalink / raw
  To: gentoo-commits

commit:     202108c5b441b93b58c032b3de3bd985f942e33d
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  6 11:26:31 2021 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Dec  6 11:26:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=202108c5

app-crypt/tpm-tools: amd64 stable wrt bug #828322

Package-Manager: Portage-3.0.20, Repoman-3.0.3
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
index 5c3f6dd63c64..39c9ad1724ca 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
 IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2021-12-07  6:26 Agostino Sarubbo
  0 siblings, 0 replies; 26+ messages in thread
From: Agostino Sarubbo @ 2021-12-07  6:26 UTC (permalink / raw
  To: gentoo-commits

commit:     55b447b69e61a2030c6bd0ce82a8bdde988112ff
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  7 06:24:47 2021 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Dec  7 06:24:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55b447b6

app-crypt/tpm-tools: x86 stable wrt bug #828322

Package-Manager: Portage-3.0.20, Repoman-3.0.3
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
index 39c9ad1724ca..1f7603f6acb0 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 x86"
 IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2021-12-09 21:25 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2021-12-09 21:25 UTC (permalink / raw
  To: gentoo-commits

commit:     c4dc37eb72f4651cb1c0b6f2c3b82c4ab6d7d947
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  9 21:25:04 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Dec  9 21:25:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4dc37eb

app-crypt/tpm-tools: Stabilize 1.3.9.2 arm64, #828322

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
index 1f7603f6acb0..4bfe4151f59a 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 x86"
+KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 x86"
 IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.0


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2023-02-14  3:13 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-02-14  3:13 UTC (permalink / raw
  To: gentoo-commits

commit:     37ecf6b971e037cf7413136835e5575a5553d985
Author:     Stijn Tintel <stijn <AT> linux-ipv6 <DOT> be>
AuthorDate: Wed Feb  1 23:18:18 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 14 03:13:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37ecf6b9

app-crypt/tpm-tools: revbump to depend on app-crypt/trousers-0.3.15-r1

Closes: https://bugs.gentoo.org/713444
Signed-off-by: Stijn Tintel <stijn <AT> linux-ipv6.be>
Closes: https://github.com/gentoo/gentoo/pull/29384
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild | 52 +++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
new file mode 100644
index 000000000000..68163a060786
--- /dev/null
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="TrouSerS' support tools for the Trusted Platform Modules"
+HOMEPAGE="http://trousers.sourceforge.net"
+SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
+
+LICENSE="CPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
+IUSE="nls pkcs11 debug"
+
+DEPEND=">=app-crypt/trousers-0.3.15-r1
+	dev-libs/openssl:0=
+	pkcs11? ( dev-libs/opencryptoki )"
+RDEPEND="${DEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+src_prepare() {
+	default
+
+# upstream didn't generate the tarball correctly so we must bootstrap
+# ouselves
+	mkdir -p po || die
+	mkdir -p m4 || die
+	cp -R po_/* po/ || die
+	touch po/Makefile.in.in || die
+	touch m4/Makefile.am || die
+
+	sed -i -r \
+		-e '/CFLAGS/s/ -m64//' \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	append-cppflags $(usex debug -DDEBUG -DNDEBUG)
+
+	econf \
+		$(use_enable nls) \
+		$(use pkcs11 || echo --disable-pkcs11-support)
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2023-03-17 14:11 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-03-17 14:11 UTC (permalink / raw
  To: gentoo-commits

commit:     6efd81a361facddaae41917b8a8636ccbf77a4bb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 17 14:10:30 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 17 14:10:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6efd81a3

app-crypt/tpm-tools: Stabilize 1.3.9.2-r1 x86, #901723

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
index 68163a060786..8b2566b27e8b 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 x86"
 IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.15-r1


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2023-03-17 14:11 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-03-17 14:11 UTC (permalink / raw
  To: gentoo-commits

commit:     18118c11a2eff3e2a5819c985548868d485eab60
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 17 14:10:33 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 17 14:10:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18118c11

app-crypt/tpm-tools: Stabilize 1.3.9.2-r1 amd64, #901723

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
index 8b2566b27e8b..d355492f173b 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~s390 x86"
+KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 x86"
 IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.15-r1


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/
@ 2023-03-17 14:21 Arthur Zamarin
  0 siblings, 0 replies; 26+ messages in thread
From: Arthur Zamarin @ 2023-03-17 14:21 UTC (permalink / raw
  To: gentoo-commits

commit:     bf91824c07cfcd87d7634b22207b0129b2f17d13
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 17 14:20:43 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 17 14:20:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf91824c

app-crypt/tpm-tools: Stabilize 1.3.9.2-r1 arm64, #901723

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
index d355492f173b..eff74ea8520a 100644
--- a/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
+++ b/app-crypt/tpm-tools/tpm-tools-1.3.9.2-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
 
 LICENSE="CPL-1.0"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 x86"
+KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 x86"
 IUSE="nls pkcs11 debug"
 
 DEPEND=">=app-crypt/trousers-0.3.15-r1


^ permalink raw reply related	[flat|nested] 26+ messages in thread

end of thread, other threads:[~2023-03-17 14:21 UTC | newest]

Thread overview: 26+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-03-15 14:35 [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm-tools/ Michael Weber
  -- strict thread matches above, loose matches on Subject: below --
2023-03-17 14:21 Arthur Zamarin
2023-03-17 14:11 Sam James
2023-03-17 14:11 Sam James
2023-02-14  3:13 Sam James
2021-12-09 21:25 Sam James
2021-12-07  6:26 Agostino Sarubbo
2021-12-06 11:27 Agostino Sarubbo
2021-05-02 16:40 Mikle Kolyada
2021-04-25  8:00 Michał Górny
2020-11-09 20:30 Patrice Clement
2020-02-26 16:17 Joonas Niilola
2019-05-13  4:17 Alon Bar-Lev
2019-05-12 20:56 Thomas Deutschmann
2019-05-11 11:14 Mikle Kolyada
2019-05-03 16:08 Aaron Bauman
2018-09-27 23:55 Alon Bar-Lev
2018-08-25  3:58 Alon Bar-Lev
2018-08-22 19:20 Mart Raudsepp
2018-08-17  0:20 Mikle Kolyada
2018-08-16  0:39 Thomas Deutschmann
2018-04-23 11:02 Alon Bar-Lev
2017-03-25 18:11 Alon Bar-Lev
2017-03-04 13:46 Agostino Sarubbo
2017-03-04 13:38 Agostino Sarubbo
2016-06-03 15:58 Anthony G. Basile

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox